html,body,#layout {height:100%;}
body {
  font-family: Tahoma, Verdana, Geneva;
  font-size: medium;
  margin: 0px;
}
/*----------------------------------------------------------------------------*/
#header {
  background-color: royalblue;
  box-shadow: 5px 5px 5px grey;
  white-space: nowrap;
  color: white;
}
[id^=head_] { 
  padding: 0.5em;
  font-weight: bold;
  vertical-align:middle;
}
#head_menu {
  padding-right: 0em;  
}
#head_title {
  width: 99%;  
  font-size:large;
}
/* #head_title::before {content: "Sistemas para RD - ";} */

#head_user {
  font-size: xx-small; 
  text-align:right;
}
#head_profile {
  vertical-aligtext-align:right;
}
/*----------------------------------------------------------------------------*/
#body_content {
  padding: 1em;
}
/*----------------------------------------------------------------------------*/
#footer {
  background-color: skyblue;
  font-weight: bold;
  color: black;
  white-space: wrap;
  font-size: small;
  text-align: center;
  padding: 0.5em;
}
/*----------------------------------------------------------------------------*/
[id^=mod_] {
  margin: 1em;
  width: auto; 
  display: inline; 
  float: left; 
  font-weight: bold;
}
@media all and (max-width: 480px) {
 [id^=mod_] {
  display: block; 
  float: none;  
 }
}

#L0, #L1,#L2,#L3,#L0 a,#L1 a,#L2 a,#L3 a {
  font-weight: normal;
  margin-left:1em; 
  text-align:left; 
  display:block; 
  cursor: pointer;
  border-radius: 0.3em; 
  padding: 0.3em;
}
#L0 summary img {padding-right: 0.5em;}
#L0 {margin-left:0em;}
.menu_vacio {color: silver;}
.menu_compania {display: inline;}

#L0:hover             {background-color: #F8F8F8;}
#L1:hover,#L0 a:hover {background-color: #E8E8E8;}
#L2:hover,#L1 a:hover {background-color: #D8D8D8;}
#L3:hover,#L2 a:hover {background-color: #C8C8C8;}
          #L3 a:hover {background-color: #B8B8B8;} 
/*----------------------------------------------------------------------------*/
#layout {
  border: 0px;
  padding: 0px;
  margin: 0px;
  width: 100%;
  font-size: small;
  border-collapse: collapse;
}
#layout > thead > tr > th {
  text-align: left;
  font-size:small;
  font-weight:bold;
  padding: 0em;
}
#layout > tfoot > tr > td {
  padding: 0em 0.4em 0em 0em;
}
#petite{
	font-size:xx-small;
}
/*----------------------------------------------------------------------------*/
/* Tooltip container */
.tooltip {
    position: relative;
    display: inline-block;
}

/* Tooltip text */
.tooltip .tooltiptext {
    visibility: hidden;
    text-align: center; 
    /* Position the tooltip text - see examples below! */
    position: absolute;
    z-index: 1;
    top: -60px;
    left: 20px; 
}
/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
    visibility: visible;
}
#img_foto {
	width: 133px; height: 100px;
	border-radius: 0.5em;
	border: 3px solid grey;
}

#pendientes {
  background-color: red; 
  border-radius: 3px; 
  color: white; 
  padding: 1px 3px; 
  font-size: 10px; 
  display:inline;
  vertical-align:top;
  position: relative; margin-left:-8px; top:-5px;
  text-decoration: none;
}

/* ---------------------------------------------------------------------------- */
#ventana {
  color: black;
  font-size: small;
  margin: 0em; /* decia 0*/
  padding: 2px;
  border-spacing: 0.3em;
  border-radius: 0.3em;
  box-shadow: 5px 5px 5px grey;
  background-color: white;
}
@media all and (max-width: 480px) {#ventana {width:100%;}}
	
.panel {
  border-radius: 0.3em;
  border: 1px solid grey;
  padding: 0.1em;
}
#ventana tr th {
  text-align: left;
  font-size: large;
  font-weight: bold;
  padding: 0.1em 0em 0em 0em;
  margin: 0em;
}

#tabla {
  color: black;
  font-size: small;
}

#tabla thead tr td {
  background-color:  CornflowerBlue;
  border-bottom: 3px solid Royalblue;
  color: white;
  font-weight: bold;
  text-align: center;
  padding: 0.1em;
}

#tabla tbody tr th {
  font-weight: bold;
  text-align: left;
  font-size:small;
  padding: 0.1em;
}

#tabla tbody tr td {
  font-size:small;
  padding: 0.1em;
}

tfoot > tr > th {
  font-size:small;
  text-align: left;
  padding: 0em;
}

tfoot > tr > td {
  font-size:small;
  text-align: right;
  padding-left: 0.2em;
  padding-right: 0.2em;
}
#td_borrar {width:1.5em; min-width:1.5em; max-width: 1.5em;  padding:0px; margin:0px; text-align:center;}
#td_ver {white-space: nowrap;}
#alternar > tr:nth-child(even) {background: white;}
#alternar > tr:nth-child(odd) {background: whitesmoke;}
.col_titulo_arriba {white-space: nowrap;}

/*phones----------------------------------------------------------------------*/
@media all and (max-width: 480px) {
 #td_ver {white-space: normal;}
 #head_user {display:none;}
 .col_tablet, .col_monitor, .menu_compania {
   display:none;
   visibility : collapse;
 }
 .col_titulo_arriba {display:table-row;}
 .col_titulo_izq    {display:none; visibility:collapse;}
 }
/*tablets---------------------------------------------------------------------*/
@media all and (min-width: 481px) and (max-width: 800px) {
  #head_user {display:table-cell;}
 .col_tablet {
   display:table-cell;
   visibility : visible;
 }
 .col_monitor {
   display:none;
   visibility : collapse;
 }
 .col_titulo_arriba {display:none;}
 .col_titulo_izq    {display:table-cell;}
}
/*monitors--------------------------------------------------------------------*/
@media all and (min-width: 801px) {
  #head_user {display:table-cell;}
  .col_tablet, .col_monitor {
   display:table-cell;
   visibility : visible;
 }
 .col_titulo_arriba {display:none;}
 .col_titulo_izq    {display:table-cell;}

 #tabla tbody tr td {white-space: nowrap;}
}
/*----------------------------------------------------------------------------*/
.ok_pdo, .err_pdo, .err_exc, .err_val, .war_pdo {
  color: red;
  background-color: MistyRose;
  background-position: right 10px center;
  background-repeat: no-repeat;
  background-image: url(/_iconos/error.png);
  border-radius: 0.3em; 
  white-space: normal;
  text-align: left;
  font-weight: bold;
  font-size: small;
  width: auto;
  display:table-cell;
  padding: 1em 2.5em 1em 2.5em;
}

.err_list {
	font-size: xx-small;
	font-weight: normal;
}
.ok_pdo {
  color: green;
  background-color: #ccffcc;
  background-image: url(/_iconos/aceptar.png);
}
.war_pdo {
  color: red;
  background-color: #ffffcc;
  background-image: url(/_iconos/warning.png);
}
/*----------------------------------------------------------------------------*/
[name^=ico_],[name^=lnk_] {
  cursor: pointer;
  border: none;
  background-color: transparent;
  padding: 0px;
  margin: 0px;
}
[name^=lnk_] {
  text-align: left;
  vertical-align:middle;
  color: royalblue;
  text-decoration: underline;
}
[name^=lnk_header] {
  color: white;
  font-weight:bold;  
}
[name^=lnk_header]:hover {
  text-decoration: underline;
}
.unsorted {
  text-decoration: none;
}
/*----------------------------------------------------------------------------*/
[name^=btn_], [name^=img_compania_]  {
  border:  1px solid grey;
  border-radius: 0.3em;
  padding: 0.2em; 
  background-color: whitesmoke;
  cursor: pointer;
  white-space: nowrap;  
  height: 26px;
  vertical-align:top;
}
[name^=btn_]:hover {
  background-color: gainsboro;
  cursor: pointer;
}

[name^=img_compania_] {
  background-color: white;
}
[name^=img_compania_]:hover {
  background-color: royalblue;
  border:  1px solid royalblue;
}



[name^=btn_aceptar]::before      {content: url(/_iconos/aceptar.png)}
[name^=btn_cancelar]::before     {content: url(/_iconos/cancelar.png)}
[name^=btn_regresar]::before     {content: url(/_iconos/regresar.png)}
[name^=btn_retornar]::before     {content: url(/_iconos/regresar.png)}
[name^=btn_agregar]::before      {content: url(/_iconos/agregar.png)} 
[name^=btn_nuevo]::before        {content: url(/_iconos/agregar.png)} 
[name^=btn_modificar]::before    {content: url(/_iconos/modificar.png)}
[name^=btn_insert]::before       {content: url(/_iconos/guardar.png)}
[name^=btn_update]::before       {content: url(/_iconos/guardar.png)}
[name^=btn_parametrizar]::before {content: url(/_iconos/parametrizar.png)}
[name^=btn_anteriores]::before   {content: url(/_iconos/regresar.png)}
[name^=btn_ejecutar]::before	 {content: url(/_iconos/ejecutar.png)}
[name^=btn_password]::before     {content: url(/_iconos/cambiar.png)}
[name^=btn_salir]::before        {content: url(/_iconos/salir.png)}
[name^=btn_todos]::before        {content: url(/_iconos/todos.png)}
[name^=btn_ninguno]::before      {content: url(/_iconos/ninguno.png)}
[name^=btn_imprimir]::before     {content: url(/_iconos/imprimir.png)}
[name^=btn_finalizar]::before    {content: url(/_iconos/bien.png)}
[name^=btn_generar]::before      {content: url(/_iconos/generar.png)}
[name^=btn_descargar]::before    {content: url(/_iconos/descargar.png)}
[name^=btn_cambiar_clave]::before{content: url(/_iconos/cambiarclave.png)}
[name^=btn_atajos]::before       {content: url(/_iconos/atajos.png)}

[name^=ico_hint]::before         {content: url(/_iconos/hint.png)}
[name^=ico_salir]::before        {content: url(/_iconos/salir.png)}
[name^=ico_primero]::before    	 {content: url(/_iconos/primero.png);}
[name^=ico_anterior]::before   	 {content: url(/_iconos/anterior.png);}
[name^=ico_proximo]::before    	 {content: url(/_iconos/proximo.png);}
[name^=ico_ultimo]::before     	 {content: url(/_iconos/ultimo.png);}
[name^=ico_exportar]::before   	 {content: url(/_iconos/excel.png);}
[name^=ico_imprimir]::before   	 {content: url(/_iconos/imprimir.png);}
[name^=ico_menu]::before       	 {content: url(/_iconos/menu.png);}
[name^=ico_usuario]::before    	 {content: url(/_iconos/usuario.png);}
[name^=ico_borrar]::before     	 {content: url(/_iconos/borrar.png);}
[name^=ico_detalle_]::before   	 {content: url(/_iconos/detalle.png);}
[name^=ico_imagen_]::before    	 {content: url(/_iconos/imagen.png);}
[name^=ico_buscar]::before     	 {content: url(/_iconos/buscar.png);}
[name^=log_login]::before        {content: url(/_iconos/login.png);}

/*para ocultar unos botones default no visible y que funcionnen con enter*/
.default_on_enter::before { content: ''; }
.default_on_enter {width:0px; height:0px; padding:0px; border:0px; margin:0px; border-radius:0px; }

#div_per {
	width:22em; 
	display:block; 
	float:left;
}
@media all and (max-width: 480px) {
  #div_per {	width:100%;} 
}
/*----------------------------------------------------------------------------*/
[name=log_login], [name=log_email], [name=log_password], [name=btn_aceptar_login] {
  width: 100%;
  padding: 0.3em;
  vertical-align: bottom;
}
/*----------------------------------------------------------------------------*/
input[type=text],input[type=email], input[type=password], input[type=text], textarea, select, input[type=number], input[type=currency], input[type=file] {
  border: 1px solid grey;
  background-color: PaleGoldenRod !important;  /*mirando de frente LightYellow no se ve*/
  padding: 0.3em; 
  border-radius: 0.3em;
  margin-top:1px;
  min-height:18px;
}

input[type=range] {
  padding:0px;
  margin: 0px;
  width:100%;	
}

select {font-size:small;}

textarea {
  width: 98%;
  height: 6em;
}
.documento ,.documento_disabled {height:25em;}

input:disabled, textarea:disabled, select:disabled , .documento_disabled {
  border: 1px solid Silver;
  background-color: whitesmoke !important;
  color: dimgray;
  padding: 0.3em; 
  border-radius: 0.3em;
}

input.fecha			{width:5.5em;}
input.hora          {width:4.2em;}
input.fechahora  	{width:10em;}
a.sorted,a.sorted:visited,a.sorted:hover {color: skyblue;}

input[maxlength="2"]    {width:2.75em;}
input[maxlength="3"]    {width:3em;}
input[maxlength="4"]    {width:4.2em;}
input[maxlength="5"]    {width:4.2em;}
input[maxlength="8"]    {width:5em;}
input[maxlength="10"]   {width:6em;}
input[maxlength="12"]   {width:7em;}
input[maxlength="15"]   {width:8em;}
input[maxlength="18"]   {width:10em;}
input[maxlength="20"]   {width:12em;}
input[maxlength="25"]   {width:14em;}
input[maxlength="30"]   {width:15em;}
input[maxlength="50"]   {width:20em;}
input[maxlength="100"]  {width:25em;}
input[maxlength="150"]  {width:30em;}
input[maxlength="500"]  {width:30em;}
input[maxlength="1000"] {width:30em;}

ul[id^="M_"], ol[id^="M_"] {padding:0px; list-style-position: inside;}


@media all and (max-width: 480px) {
input[maxlength="50"]   {width:98%;}
input[maxlength="100"]  {width:98%;}
input[maxlength="150"]  {width:98%;}
input[maxlength="500"]  {width:98%;}
input[maxlength="1000"] {width:98%;}
input[type=file]        {width:98%;}
}
/*----------------------------------------------------------------------------*/
[name=tab_btn] {
  white-space: nowrap;
  background-color :white;
  padding: 0.3em;
  border: 1px solid gray;
  text-align:left;  
  border-top-left-radius: 0.3em;
  border-top-right-radius: 0.3em;
  cursor: pointer;
  margin-bottom: -1px;
  font-size: x-small;
}
.tab_uns {background-color: gainsboro;  border-bottom: 1px solid gray;}
.tab_sel {background-color: white;  border-bottom: 1px solid white;}
/*----------------------------------------------------------------------------*/
#print_container {
	border: 1px solid silver;
	width:  425px;
	height: 550px;
    visibility: hidden;
}
#printarea{
    zoom: 0.85;
    -moz-transform: scale(0.85);
    box-shadow: opx;
	border: 0px;
    visibility: hidden;
}
@media print {
  body * {
    visibility: hidden;
    box-shadow: opx;
	border: 0px;
  }
  #printarea, #printarea * {
    visibility: visible;
    box-shadow: opx;
	border: 0px;
  }
  #printarea {
    width: 100%;
	zoom: 1;
    -moz-transform: scale(1);
    position: absolute;
    left: 0;
    top: 0;
    box-shadow: opx;
	border: 0px;
  }
}
/*----------------------------------------------------------------------------*/
#vertical {
	font-size: xx-small;
	-webkit-transform: rotate(-90deg);
	-moz-transform: rotate(-90deg);
	-ms-transform: rotate(-90deg);
	-o-transform: rotate(-90deg);
	filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
}
/*----------------------------------------------------------------------------*/
ul.tree li {
    list-style-type: none;
    position: relative;
}

ul.tree li ul {
    display: none;
}

ul.tree li.open > ul {
    display: block;
}

ul.tree > li > a {
    color: black;
    text-decoration: none;
}

ul.tree li a {
    /*color: black;*/
    /*text-decoration: none;*/
}

ul.tree li a:before {
    height: 1em;
    padding:0 .1em;
    display: block;
    position: absolute;
    left: -1.3em;
    top: .2em;
}

ul.tree li > a:not(:last-child):before {
    content: '+';
}

ul.tree li.open > a:not(:last-child):before {
    content: '-';
}
/*-----------------------------------------------------------------------------*/